Error when running rocketchat


#1

Hi team,

After installing mongo and dependencies, I run node main.js on rocket chat folder and i got this error

Updating process.env.MAIL_URL
Starting Email Intercepter...
Exception in callback of async function: Error: /lib64/libz.so.1: version `ZLIB_1.2.9' not found (required by /data/rocketchat/Rocket.Chat/programs/server/npm/node_modules/sharp/build/Release/../../vendor/lib/libpng16.so.16)
    at Object.Module._extensions..node (module.js:672:18)
    at Module.load (module.js:556:32)
    at tryModuleLoad (module.js:499:12)
    at Function.Module._load (module.js:491:3)
    at Module.require (module.js:587:17)
    at require (internal/module.js:11:18)
    at Object.<anonymous> (/data/rocketchat/Rocket.Chat/programs/server/npm/node_modules/sharp/lib/constructor.js:10:15)
    at Module._compile (module.js:643:30)
    at Object.Module._extensions..js (module.js:654:10)
    at Module.load (module.js:556:32)
    at tryModuleLoad (module.js:499:12)
    at Function.Module._load (module.js:491:3)
    at Module.require (module.js:587:17)
    at require (internal/module.js:11:18)
    at Object.<anonymous> (/data/rocketchat/Rocket.Chat/programs/server/npm/node_modules/sharp/lib/index.js:3:15)
    at Module._compile (module.js:643:30)
    at Object.Module._extensions..js (module.js:654:10)
    at Module.load (module.js:556:32)
    at tryModuleLoad (module.js:499:12)
    at Function.Module._load (module.js:491:3)
    at Module.require (module.js:587:17)
    at require (internal/module.js:11:18)
    at npmRequire (/data/rocketchat/Rocket.Chat/programs/server/npm-require.js:133:10)
    at Module.useNode (packages/modules-runtime.js:697:18)
    at fileEvaluate (packages/modules-runtime.js:342:20)
    at require (packages/modules-runtime.js:238:16)
    at FileUpload.js (packages/rocketchat:file-upload/server/lib/FileUpload.js:1:351)
    at fileEvaluate (packages/modules-runtime.js:343:9)
    at require (packages/modules-runtime.js:238:16)
    at /data/rocketchat/Rocket.Chat/programs/server/packages/rocketchat_file-upload.js:2558:1
    at /data/rocketchat/Rocket.Chat/programs/server/packages/rocketchat_file-upload.js:2572:3
    at /data/rocketchat/Rocket.Chat/programs/server/boot.js:411:36
    at Array.forEach (<anonymous>)
    at /data/rocketchat/Rocket.Chat/programs/server/boot.js:220:19
    at /data/rocketchat/Rocket.Chat/programs/server/boot.js:471:5
    at Function.run (/data/rocketchat/Rocket.Chat/programs/server/profile.js:510:12)
    at /data/rocketchat/Rocket.Chat/programs/server/boot.js:470:11

Rocketchat version : Version 2.13.0 For Linux

Thank you for your assistance.


#2

2.13 is a desktop client version. That error is a server error.

We will need more details


#3

Hi aaron,

Many thanks for responding.

The issue was caused by wrong zlib version installed in our machine.

You may close the ticket. Thanks.